- Qt 6.10
- Qt Core
- <QtDarwinHelpers>
- Qt 6.10.2 Reference Documentation

# <QtDarwinHelpers>

Helper macros specific to Darwin-based operating systems. More...

Header: | `#include <QtDarwinHelpers>`

## Macros

| Q_FORWARD_DECLARE_CF_TYPE(type)
| Q_FORWARD_DECLARE_MUTABLE_CF_TYPE(type)
| Q_FORWARD_DECLARE_OBJC_CLASS(classname)

## Detailed Description

## Macro Documentation

### Q_FORWARD_DECLARE_CF_TYPE(type)

Forward-declares a Core Foundation type. This includes the actual type and the ref type. For example, Q_FORWARD_DECLARE_CF_TYPE(CFString) declares __CFString and CFStringRef.

### Q_FORWARD_DECLARE_MUTABLE_CF_TYPE(type)

Forward-declares a mutable Core Foundation type. This includes the actual type and the ref type. For example, Q_FORWARD_DECLARE_MUTABLE_CF_TYPE(CFMutableString) declares __CFMutableString and CFMutableStringRef.

### Q_FORWARD_DECLARE_OBJC_CLASS(classname)

Forward-declares an Objective-C classname in a manner such that it can be compiled as either Objective-C or C++.

This is primarily intended for use in header files that may be included by both Objective-C and C++ source files.